<?php

global $MODULE_FOLDER;
# языковые настройки
if (is_file($MODULE_FOLDER.'netcat_mailer/'.MAIN_LANG.'.lang.php')) {
    require_once($MODULE_FOLDER.'netcat_mailer/'.MAIN_LANG.'.lang.php');
} else {
    require_once($MODULE_FOLDER.'netcat_mailer/en.lang.php');
}

class NetcatMailer{

    public function send($from_email='',$from_name="",$to_email='',$subject='',$body=''){
        global $nc_core;
        require_once('class.phpmailer.php');
        // load modules env
        if (!isset($MODULE_VARS))
            $MODULE_VARS = $nc_core->modules->get_module_vars(); //LoadModuleEnv();
        $my_settings = $MODULE_VARS['netcat_mailer'];
        $mail = new PHPMailer();
        $mail->CharSet = 'utf-8';
        $mail->IsSMTP();
        $mail->SMTPAuth   = true;                  // enable SMTP authentication
        if(!empty($my_settings['IS_GMAIL']))
            $mail->SMTPSecure = "tls";                 // sets the prefix to the servier
        $mail->Host       = $my_settings['SERVER']; // SMTP server
        $mail->Port       = $my_settings['PORT'];  // set the SMTP port for the GMAIL server
        $mail->Username   = $my_settings['LOGIN']; // SMTP account username
        $mail->Password   = $my_settings['PASSWORD'];        // SMTP account password
        //
        $mail->SetFrom($my_settings['FROM_EMAIL'],$from_name);
        
        $mail->Subject    = $subject;
        $mail->MsgHTML($body);

        $mail->AddAddress($to_email);
        $mail->AddReplyTo($from_email,$from_name);
        $mail->Send(); 
    }
    
}
 
?>